Some questions on updates

Discussion in 'Installation/Configuration' started by sheshes, Jan 18, 2011.

  1. sheshes

    sheshes Member

    Hi guys, I am running ISPconfig on Ubuntu 9.04 (still). For the past year now I have the old maildrop version since the newest version had problems with ISPconfig and ClamAV is always out of date.

    I am wondering if any of these issues have been resolved since I couldn't find anything to support it.

    Also I think it's time to upgrade my distro to the latest but I am unsure if my current ISPconfig setup will remain the same or I will loose everything and need to reset everything again from permissions to folders, users etc.

    Any help is appreciated.

  2. falko

    falko Super Moderator ISPConfig Developer

    This is from the ISPConfig 3 Manual:

    A distribution upgrade should work without problems, however it is strongly recommended to take a backup before you do it (in case anything goes wrong). Maybe even an image based backup with Ghost4Linux, SystemImager, or dd.
  3. sheshes

    sheshes Member

    I have upgraded to 9.10 and then to 10.04 keeping all old configuration.

    The only problem is mydns which gives an error

    Starting DNS server: mydns/usr/local/sbin/mydns: error while loading shared libraries: cannot open shared object file: No such file or directory

    I have installed bind9 and dnsutils as in Perfect server ubuntu 10.04 and all services seem to be online. But still mydns doesn't start.

    I'm guessing I m running bind now instead of mydns right?

    But how about running mydns instead of bind? What can i do to fix it?

    Thanks in advance
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes. You can not run bind9 and mydns together on the same server.

    Please uninstall bind. Then recompile mydns so that it uses the new mysql library. The steps to compile mydns are:

    cd /tmp
    tar xvfz mydns-
    cd mydns-1.2.8
    make install
  5. sheshes

    sheshes Member

    Thanks for your help guys.

    Worked like a charm.

    Just a quick question. I have purchased the ISPconfig 3 manual (the first one) when it first came out. Now I see there is a new one.

    Is there any subscription or a package with free updates so I won't buy the same document with minor changes everytime?
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    If you purchase a howtoforge subscription, then you can download all new manual versions trough howtoforge. Beside that, you get howtoforge without ads and access to all howtoforge tutorials as PDF files and access to several howtos (like the perfect server guides) as ready to run vmware images.
  7. John Ford

    John Ford New Member

    When I run the ./configure I get an configure error saying that no supported database found MySQL or PostgreSQL is required

    MySQL is running. Have I done something wrong in the compiling to find the the new mysql library?
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    Have you installed the mysql client library dev files (something like libmysqlclient....-dev...) with apt?
  9. John Ford

    John Ford New Member

    This is an upgrade from a previous Ubuntu 9.10 install where I followed your excellent instructions with the How to Forge. This machine has worked perfectly but I thought I would try an upgrade to the newer server version.

    Can you point me to where I would look for the dev files or the command to ask my unit where they are or how to install that library?

    Thank you for your great support and ISPConfig software.

    Nevermind - I got it
    sudo apt-get install libmysqlclient15-dev
    Update went great - all seems to be functioning now!
    Last edited: Jun 30, 2011

Share This Page